#!/bin/sh -f
#
# Don't propagate these files
#index.m3u
#leather.gif
#logo.gif
#logobg.gif
#logobg.jpg
#makeexe.ksh
#makeslides.exe
#shiftslides.ksh
#slides.backup.js
#slides.js

if [ $# -eq 0 ] ; then
    echo "$(basename $0) <path-to-update-below>"
    exit 1
fi

for p in "$@"
do
    if [ ! -d "$p" ] ; then
        echo "Can't find directory [$p] - skipping!"
        continue
    fi

    for f in \
        audio.htm \
        autorun.inf \
        bgbeginning.jpg \
        btn_advance.gif \
        btn_advancenot.gif \
        btn_close.gif \
        btn_help.gif \
        btn_house.gif \
        btn_lt1.gif \
        btn_rt1.gif \
        btn_spkr.gif \
        btn_spkrin.gif \
        btn_spkroff.gif \
        btn_spkrout.gif \
        btn_version.gif \
        choose.js \
        choose1.htm \
        choose2.htm \
        clouds.jpg \
        control.js \
        control1.htm \
        control2.htm \
        copyright.htm \
        help.htm \
        index.htm \
        makeslides.py \
        maximize.htm \
        mp3.gif \
        mp3.htm \
        onepane.htm \
        onepane.js \
        play.exe \
        python22.dll \
        qt.gif \
        readme.txt \
        realaudio_get.gif \
        runcd.bat \
        setup.py \
        silent.mp3 \
        sonique_get.gif \
        spiritandtruth.gif \
        splash.htm \
        styles.css \
        view.js \
        webshow.gif \
        winamp_get.gif \
        wmp.gif \

    do
        if [ -f "$f" ] ; then
            $ECHO find "$p" -newer "$f" -name "$f" -exec cp -pv "$f" {} \;
        fi
    done
done
